# $Revision: 1.19 $, $Date: 2009/10/13 07:17:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	Parser
Summary:	Pod::Parser - base class for creating POD filters and translators
Summary(pl.UTF-8):	Pod::Parser - klasa bazowa do tworzenia klas filtrujących i tłumaczących POD
Name:		perl-Pod-Parser
Version:	1.38
Release:	2
Epoch:		1
# I'm not sure how to interpret the README...
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Pod/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b23b9997bb460f8e9fa0c6cec722be11
URL:		http://search.cpan.org/dist/Pod-Parser/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
  This parrot is dead. It has ceased to be.
  It's gone to meet it's Maker! THIS IS AN EX-PARROT!
    -- The Dead Parrot Sketch, Monty Python's Flying Circus

Do s/parrot/package/g and you know the status of this distribution.

Pod::Parser is a base class for creating POD filters and translators.
It handles most of the effort involved with parsing the POD sections
from an input stream, leaving subclasses free to be concerned only
with performing the actual translation of text.

Pod::Parser parses PODs, and makes method calls to handle the various
components of the POD. Subclasses of Pod::Parser override these
methods to translate the POD into whatever output format they desire.

%description -l pl.UTF-8
  Ta papuga jest martwa. Przestała istnieć.
  Odeszła na spotkanie ze swoim stwórcą! TO JEST EX-PAPUGA!
    -- skecz "Martwa Papuga", Latający Cyrk Monty Pythona

Wykonaj s/papuga/pakiet/g, a poznasz status tego modułu.

Pod::Parser to klasa bazowa do tworzenia klas filtrujących i
tłumaczących POD. Obsługuje większą część zadań związanych z analizą
sekcji POD ze strumienia wejściowego, pozostawiając podklasom jedynie
przeprowadzanie samego tłumaczenia tekstu.

Pod::Parser przetwarza pliki POD i wywołuje metody obsługujące różne
komponenty POD. Podklasy Pod::Parser przykrywają te metody w celu
tłumaczenia POD na żądany format wyjściowy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# resolve conflict with perl-tools
%{__mv} $RPM_BUILD_ROOT%{_bindir}/pod2usage{,.cpan}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/podchecker{,.cpan}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/podselect{,.cpan}
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/pod2usage{,.cpan}.1p
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/podchecker{,.cpan}.1p
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/podselect{,.cpan}.1p

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%{perl_vendorlib}/Pod/*.pm
%{_mandir}/man?/*
%{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pod-Parser.spec,v $
Revision 1.19  2009/10/13 07:17:53  amateja
- release 2

Revision 1.18  2009/10/13 07:08:22  amateja
- epoch 1

Revision 1.17  2009/10/07 07:56:02  amateja
- 1.38

Revision 1.16  2007/06/03 08:27:26  qboosh
- removed remnants of obsolete broken patch

Revision 1.15  2007/06/03 08:21:59  qboosh
- generic URL

Revision 1.14  2007/06/03 08:00:20  agaran
- up to 1.35, rel 1, builds here

Revision 1.13  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.11  2006/04/04 10:38:50  radek
- version 1.34

Revision 1.10  2005/06/12 09:12:22  qboosh
- use pl version of sketch quotes (by Tomasz Beksinski)

Revision 1.9  2005/06/11 13:59:22  radek
- release 3: resolve conflict with perl-tools (mv * *.cpan)

Revision 1.8  2005/06/11 07:30:45  radek
- this parrot is dead (updated description)

Revision 1.7  2005/06/11 07:14:03  radek
- release 2: added -broken.patch (-functionality.patch was applied
             in (not released) version 1.29, then broken in 1.30)

Revision 1.6  2005/06/11 06:51:39  radek
- version 1.31, removed -functionality.patch (applied)

Revision 1.5  2004/11/03 22:30:40  paladine
- formatting

Revision 1.4  2004/10/31 22:53:42  paladine
- spaces->tabs
- formatting

Revision 1.3  2004/08/26 11:25:31  radek
- release 2: added -functionality.patch (required for pldcpan.pl)

Revision 1.2  2004/06/06 14:56:41  qboosh
- pl

Revision 1.1  2004/06/06 13:07:59  radek
- new
